package  {
/**
 * Класс обработки данных полученных для установки на прослушивателях
 */
 public class EventArgument {
	public var container:Object = null
	public var type:String = ""
	public var listener:Function = null
	public var paramlistener:Object = null
	public var useCapture:Boolean = false
	public var priority:int = 0
	public var useWeakReference:Boolean = false
	
public  function EventArgument(eventArguments:Object):void {
	//Получаем все данные в объекте
	var hasKeys:Boolean = true
	//Возвращаем данные по умолчанию
	clear()
	//Обрабатываем полученные данные
	for (var p:String in eventArguments) {
		hasKeys = true
		//Если свойство есть, то записываем параметр
		if (!this.hasOwnProperty(p)) {
			hasKeys = false
		}
		if (hasKeys) {
			this[p] = eventArguments[p]
		}
	}
}

private function clear():void {
	//Устанавливаем параметры по умолчанию
	this.container = null
	this.type = ""
	this.listener = null
	this.paramlistener = null
	this.useCapture = false
	this.priority = 0
	this.useWeakReference = false
}

}}